fop 1.1

## org.apache.fop.pdf
Class PDFOutputIntent

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFOutputIntent

All Implemented Interfaces:
  PDFWritable

    public class PDFOutputIntent

extends PDFObject

Represents the OutputIntent dictionary.

Since:
  PDF 1.4

Field Summary
`static java.lang.String` `GTS_PDFA1` Subtype for PDF/A-1 output intents
`static java.lang.String` `GTS_PDFX` Subtype for PDF/X output intents

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFOutputIntent()`

Method Summary
`PDFICCStream` `getDestOutputProfile()`
`java.lang.String` `getInfo()`
`java.lang.String` `getOutputCondition()`
`java.lang.String` `getOutputConditionIdentifier()`
`java.lang.String` `getRegistryName()`
`java.lang.String` `getSubtype()`
`void` `setDestOutputProfile(PDFICCStream destOutputProfile)` Sets the destination ICC profile.
`void` `setInfo(java.lang.String info)` Sets the Info field.
`void` `setOutputCondition(java.lang.String outputCondition)` Sets the human-readable form of the output condition.
`void` `setOutputConditionIdentifier(java.lang.String outputConditionIdentifier)` Sets the identifier for the output condition.
`void` `setRegistryName(java.lang.String registryName)` Sets the registry name.
`void` `setSubtype(java.lang.String subtype)` Sets the output intent subtype.
`byte[]` `toPDF()` Encodes the object as a byte array for output to a PDF file.

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GTS_PDFX

    public static final java.lang.String GTS_PDFX

  Subtype for PDF/X output intents

  See Also:
    Constant Field Values

### GTS_PDFA1

    public static final java.lang.String GTS_PDFA1

  Subtype for PDF/A-1 output intents

  See Also:
    Constant Field Values

Constructor Detail

### PDFOutputIntent

    public PDFOutputIntent()

Method Detail

### getSubtype

    public java.lang.String getSubtype()

  Returns:
    the output intent subtype.

### setSubtype

    public void setSubtype(java.lang.String subtype)

  Sets the output intent subtype.

  Parameters:
    `subtype` - the subtype (usually "GTS_PDFX")

### getOutputCondition

    public java.lang.String getOutputCondition()

  Returns:
    the OutputCondition field

### setOutputCondition

    public void setOutputCondition(java.lang.String outputCondition)

  Sets the human-readable form of the output condition.

  Parameters:
    `outputCondition` - A text string concisely identifying the intended output device or production condition in human-readable form.

### getOutputConditionIdentifier

    public java.lang.String getOutputConditionIdentifier()

  Returns:
    the OutputConditionIdentifier field

### setOutputConditionIdentifier

    public void setOutputConditionIdentifier(java.lang.String outputConditionIdentifier)

  Sets the identifier for the output condition.

  Parameters:
    `outputConditionIdentifier` - A string identifying the intended output device or production condition in human- or machine-readable form.

### getRegistryName

    public java.lang.String getRegistryName()

  Returns:
    the RegistryName field

### setRegistryName

    public void setRegistryName(java.lang.String registryName)

  Sets the registry name.

  Parameters:
    `registryName` - A string (conventionally a uniform resource identifier, or URI) identifying the registry in which the condition designated by OutputConditionIdentifier is defined.

### getInfo

    public java.lang.String getInfo()

  Returns:
    the Info field

### setInfo

    public void setInfo(java.lang.String info)

  Sets the Info field.

  Parameters:
    `info` - A human-readable text string containing additional information or comments about the intended target device or production condition.

### getDestOutputProfile

    public PDFICCStream getDestOutputProfile()

  Returns:
    the DestOutputProfile

### setDestOutputProfile

    public void setDestOutputProfile(PDFICCStream destOutputProfile)

  Sets the destination ICC profile.

  Parameters:
    `destOutputProfile` - An ICC profile stream defining the transformation from the PDF document's source colors to output device colorants.

### toPDF

    public byte[] toPDF()

  Encodes the object as a byte array for output to a PDF file.

  Overrides:
    `toPDF` in class `PDFObject`
  Returns:
    PDF string

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.